#include "programManager.h"

int main(int argc, char *argv[])
{
    ProgramManager mainProgram;
    Settings settings;
    int res = manageParameter(settings, argc, argv);
    if(res == -1)
        return 0;
    else if(res != 0) {
        std::cout << " => Error: Das Auswerten der Parameter ist fehlgeschlagen!" << std::endl;
        return res;
    } else {
        return mainProgram.start(&settings);
    }
}
